Skip to main content
POST
Python

Authorizations

Authorization
string
header
required

Your API key as the Bearer token in the Authorization header.

Query Parameters

only
enum<string>[]

Array of analysis types to include. Valid values are ai_generated, deepfake, nsfw, quality, reverse_search.

Available options:
ai_generated,
deepfake,
nsfw,
quality,
reverse_search
excluding
enum<string>[]

Array of analysis types to exclude. Valid values are ai_generated, deepfake, nsfw, quality, reverse_search.

Available options:
ai_generated,
deepfake,
nsfw,
quality,
reverse_search
external_id
string | null

An optional external identifier for tracking this image analysis.

Body

multipart/form-data
image
file
required

The image file to analyze.

  • Supported formats: jpg, jpeg, png, webp, heic, heif, tiff.
  • Max file size: 10MB

Response

Successful Response

id
string<uuid>
required

Unique identifier associated with the request.

report
object
required
created_at
string<date-time>

Date and time of request processing.

external_id
string | null

The external identifier provided in the request, if any.